Get display information
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/display"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/display \
--header 'Authorization: Bearer <token>'{
"virtual_screen": {
"width": 123,
"height": 123
},
"monitors": [
{
"id": "<string>",
"name": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"outputs": [
"<string>"
],
"is_primary": true,
"width_mm": 123,
"height_mm": 123
}
],
"primary_monitor_id": "<string>"
}Desktop
Get display information
GET
/
v1
/
machines
/
{id}
/
desktop
/
display
Get display information
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/display"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/display \
--header 'Authorization: Bearer <token>'{
"virtual_screen": {
"width": 123,
"height": 123
},
"monitors": [
{
"id": "<string>",
"name": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"outputs": [
"<string>"
],
"is_primary": true,
"width_mm": 123,
"height_mm": 123
}
],
"primary_monitor_id": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)